geos::noding::SegmentNode Class Reference

Represents an intersection point between two NodedSegmentString. More...

`#include <SegmentNode.h>`

## Public Member Functions

template<typename CoordType>
| SegmentNode (const SegmentString &ss, const CoordType &nCoord, std::size_t nSegmentIndex, int nSegmentOctant)
bool | isInterior () const
| Return true if this Node is internal (not on the boundary) of the corresponding segment. Currently only the first segment endpoint is checked, actually.
bool | isEndPoint (unsigned int maxSegmentIndex) const
int | compareTo (const SegmentNode &other) const

## Public Attributes

geom::CoordinateXYZM | coord
| the point of intersection (own copy)
std::size_t | segmentIndex
| the index of the containing line segment in the parent edge

## Friends

std::ostream & | operator<< (std::ostream &os, const SegmentNode &n)

## Detailed Description

Represents an intersection point between two NodedSegmentString.

Final class.

## Constructor & Destructor Documentation

## SegmentNode()

template<typename CoordType>

geos::noding::SegmentNode::SegmentNode | ( | const SegmentString & | ss,
|  | const CoordType & | nCoord,
|  | std::size_t | nSegmentIndex,
|  | int | nSegmentOctant )

inline

Construct a node on the given NodedSegmentString

Parameters

  ss | the parent NodedSegmentString
  nCoord | the coordinate of the intersection, will be copied
  nSegmentIndex | the index of the segment on parent NodedSegmentString where the Node is located.
  nSegmentOctant |

References coord, and segmentIndex.

Referenced by compareTo().

## Member Function Documentation

## compareTo()

int geos::noding::SegmentNode::compareTo | ( | const SegmentNode & | other | ) | const

inline

Returns
  -1 this EdgeIntersection is located before the argument location
  0 this EdgeIntersection is at the argument location
  1 this EdgeIntersection is located after the argument location

References geos::noding::SegmentPointComparator::compare(), coord, segmentIndex, and SegmentNode().

The documentation for this class was generated from the following file:

- SegmentNode.h